summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Alexander Verbovetsky <alik@ejik.org>2024-04-20 08:36:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-04-20 08:41:09 +0700
commit79a00cf252964e26835a6394f393de5d6b0bdec8 (patch)
tree8efd01ac8c0896de76831dcdaea67796ae25f71f /desktop
parentceb282c1aaa4f894fccc6e5b3239862505537cdb (diff)
downloadslackbuilds-79a00cf252964e26835a6394f393de5d6b0bdec8.tar.gz
slackbuilds-79a00cf252964e26835a6394f393de5d6b0bdec8.tar.xz
desktop/qt6ct: Update script.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/qt6ct/qt6ct.SlackBuild14
-rw-r--r--desktop/qt6ct/qt6ct.info8
2 files changed, 12 insertions, 10 deletions
diff --git a/desktop/qt6ct/qt6ct.SlackBuild b/desktop/qt6ct/qt6ct.SlackBuild
index 8e5d0de3eb..a7911e335f 100644
--- a/desktop/qt6ct/qt6ct.SlackBuild
+++ b/desktop/qt6ct/qt6ct.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for qt6ct
-# Copyright 2023, Alexander Verbovetsky, Moscow, Russia
+# Copyright 2023-2024, Alexander Verbovetsky, Moscow, Russia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -31,13 +31,15 @@ TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
+ ARCH="$( uname -m )"
fi
+case "$ARCH" in
+ i?86) echo "Qt 6 does not support 32bit CPUs"
+ exit 1 ;;
+ arm*) ARCH=arm ;;
+esac
+
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
diff --git a/desktop/qt6ct/qt6ct.info b/desktop/qt6ct/qt6ct.info
index dfed5a0510..b3b02d9b82 100644
--- a/desktop/qt6ct/qt6ct.info
+++ b/desktop/qt6ct/qt6ct.info
@@ -1,10 +1,10 @@
PRGNAM="qt6ct"
VERSION="0.9"
HOMEPAGE="https://github.com/trialuser02/qt6ct"
-DOWNLOAD="https://github.com/trialuser02/qt6ct/archive/0.9/qt6ct-0.9.tar.gz"
-MD5SUM="55bbf70041b2a9dd4017bb69f1de1198"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/trialuser02/qt6ct/archive/0.9/qt6ct-0.9.tar.gz"
+MD5SUM_x86_64="55bbf70041b2a9dd4017bb69f1de1198"
REQUIRES="qt6 %README%"
MAINTAINER="Alexander Verbovetsky"
EMAIL="alik@ejik.org"